summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-ebpf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/bundle-ebpf.sh')
-rwxr-xr-xpackaging/bundle-ebpf.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
index 0103fc4ed..11930671f 100755
--- a/packaging/bundle-ebpf.sh
+++ b/packaging/bundle-ebpf.sh
@@ -11,7 +11,7 @@ if [ -x "${PLUGINDIR}/ebpf.plugin" ] || [ "${FORCE}" = "force" ]; then
mkdir -p "${SRCDIR}/tmp/ebpf"
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
- tar -xvaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+ tar -xva --no-same-owner -f "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
if [ ! -d "${PLUGINDIR}/ebpf.d" ];then
mkdir "${PLUGINDIR}/ebpf.d"
fi